Problem Running MediaProxy Build

classic Classic list List threaded Threaded
16 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem Running MediaProxy Build

Ross Beer
Hi,
 
When running the MediaProxy ./setup build I get the following error:
 
---------------------------------------------------
./setup.py build
Traceback (most recent call last):
  File "./setup.py", line 7, in ?
    import mediaproxy
  File "/home/voicehost/MediaProxy/mediaproxy-2.3.5/mediaproxy/__init__.py", line 33, in ?
    dependencies = ApplicationDependencies(**package_requirements)
  File "/usr/lib/python2.4/site-packages/application/dependency.py", line 59, in __init__
    self.dependencies.extend((PackageDependency(name, version) for name, version in sorted(kw.iteritems())))
  File "/usr/lib/python2.4/site-packages/application/dependency.py", line 59, in <generator expression>
    self.dependencies.extend((PackageDependency(name, version) for name, version in sorted(kw.iteritems())))
  File "/usr/lib/python2.4/site-packages/application/dependency.py", line 34, in __init__
    module = __import__(module_name, fromlist=module_name.rsplit('.', 1)[1:])
TypeError: __import__() takes no keyword arguments
-----------------------------------------------------
 
Can anyone offer any advice, I have installed all of the requirments. I followed instructions from http://www.smartvox.co.uk
 
Any help would be appreciated.
 
Ross


Celebrate a decade of Messenger with free winks, emoticons, display pics, and more. Get Them Now
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Iñaki Baz Castillo
2009/7/28 Ross Beer <[hidden email]>:

> Can anyone offer any advice, I have installed all of the requirments. I
> followed instructions from http://www.smartvox.co.uk

Do you use Debian Unstable?


--
Iñaki Baz Castillo
<[hidden email]>

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Ruud Klaver
In reply to this post by Ross Beer
Hi Ross,

On 28 Jul 2009, at 12:53, Ross Beer wrote:

> Hi,
>
> When running the MediaProxy ./setup build I get the following error:
>
> ---------------------------------------------------
> ./setup.py build
> Traceback (most recent call last):
>   File "./setup.py", line 7, in ?
>     import mediaproxy
>   File "/home/voicehost/MediaProxy/mediaproxy-2.3.5/mediaproxy/
> __init__.py", line 33, in ?
>     dependencies = ApplicationDependencies(**package_requirements)
>   File "/usr/lib/python2.4/site-packages/application/dependency.py",  
> line 59, in __init__
>     self.dependencies.extend((PackageDependency(name, version) for  
> name, version in sorted(kw.iteritems())))
>   File "/usr/lib/python2.4/site-packages/application/dependency.py",  
> line 59, in <generator expression>
>     self.dependencies.extend((PackageDependency(name, version) for  
> name, version in sorted(kw.iteritems())))
>   File "/usr/lib/python2.4/site-packages/application/dependency.py",  
> line 34, in __init__
>     module = __import__(module_name,  
> fromlist=module_name.rsplit('.', 1)[1:])
> TypeError: __import__() takes no keyword arguments
> -----------------------------------------------------
>
> Can anyone offer any advice, I have installed all of the  
> requirments. I followed instructions from http://www.smartvox.co.uk
>
> Any help would be appreciated.
>
> Ross

Please see this thread: http://lists.opensips.org/pipermail/users/2009-July/007210.html

Ruud Klaver
AG Projects

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Ross Beer
Hi,
 
I have compiled and installed mediaproxy sucessfuly however when starting it says 'fatal error: need python-gnutls version 1.1.8 or higer but only 1.1.6 is installed' however I have installed 1.1.9 and it still says the same.
 
Is there a sys-link I need to update somewhere to point python to the correct version?
 
Thank you for your help,
 
Ross
 

> CC: [hidden email]
> From: [hidden email]
> To: [hidden email]
> Date: Tue, 28 Jul 2009 13:19:09 +0200
> Subject: Re: [OpenSIPS-Users] Problem Running MediaProxy Build
>
> Hi Ross,
>
> On 28 Jul 2009, at 12:53, Ross Beer wrote:
>
> > Hi,
> >
> > When running the MediaProxy ./setup build I get the following error:
> >
> > ---------------------------------------------------
> > ./setup.py build
> > Traceback (most recent call last):
> > File "./setup.py", line 7, in ?
> > import mediaproxy
> > File "/home/voicehost/MediaProxy/mediaproxy-2.3.5/mediaproxy/
> > __init__.py", line 33, in ?
> > dependencies = ApplicationDependencies(**package_requirements)
> > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > line 59, in __init__
> > self.dependencies.extend((PackageDependency(name, version) for
> > name, version in sorted(kw.iteritems())))
> > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > line 59, in <generator expression>
> > self.dependencies.extend((PackageDependency(name, version) for
> > name, version in sorted(kw.iteritems())))
> > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > line 34, in __init__
> > module = __import__(module_name,
> > fromlist=module_name.rsplit('.', 1)[1:])
> > TypeError: __import__() takes no keyword arguments
> > -----------------------------------------------------
> >
> > Can anyone offer any advice, I have installed all of the
> > requirments. I followed instructions from http://www.smartvox.co.uk
> >
> > Any help would be appreciated.
> >
> > Ross
>
> Please see this thread: http://lists.opensips.org/pipermail/users/2009-July/007210.html
>
> Ruud Klaver
> AG Projects


Windows Live Messenger: Happy 10-Year Anniversary—get free winks and emoticons. Get Them Now
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Dan Pascu
Most likely you have multiple installed versions and it picks the  
wrong one (the older). You can verify what it finds by default and  
where it is located by running this:

python -c "import sys, gnutls; print gnutls.__version__; print  
sys.modules['gnutls']"

On 28 Jul 2009, at 21:04, Ross Beer wrote:

> Hi,
>
> I have compiled and installed mediaproxy sucessfuly however when  
> starting it says 'fatal error: need python-gnutls version 1.1.8 or  
> higer but only 1.1.6 is installed' however I have installed 1.1.9  
> and it still says the same.
>
> Is there a sys-link I need to update somewhere to point python to  
> the correct version?
>
> Thank you for your help,
>
> Ross
>
> > CC: [hidden email]
> > From: [hidden email]
> > To: [hidden email]
> > Date: Tue, 28 Jul 2009 13:19:09 +0200
> > Subject: Re: [OpenSIPS-Users] Problem Running MediaProxy Build
> >
> > Hi Ross,
> >
> > On 28 Jul 2009, at 12:53, Ross Beer wrote:
> >
> > > Hi,
> > >
> > > When running the MediaProxy ./setup build I get the following  
> error:
> > >
> > > ---------------------------------------------------
> > > ./setup.py build
> > > Traceback (most recent call last):
> > > File "./setup.py", line 7, in ?
> > > import mediaproxy
> > > File "/home/voicehost/MediaProxy/mediaproxy-2.3.5/mediaproxy/
> > > __init__.py", line 33, in ?
> > > dependencies = ApplicationDependencies(**package_requirements)
> > > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > > line 59, in __init__
> > > self.dependencies.extend((PackageDependency(name, version) for
> > > name, version in sorted(kw.iteritems())))
> > > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > > line 59, in <generator expression>
> > > self.dependencies.extend((PackageDependency(name, version) for
> > > name, version in sorted(kw.iteritems())))
> > > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > > line 34, in __init__
> > > module = __import__(module_name,
> > > fromlist=module_name.rsplit('.', 1)[1:])
> > > TypeError: __import__() takes no keyword arguments
> > > -----------------------------------------------------
> > >
> > > Can anyone offer any advice, I have installed all of the
> > > requirments. I followed instructions from http://
> www.smartvox.co.uk
> > >
> > > Any help would be appreciated.
> > >
> > > Ross
> >
> > Please see this thread: http://lists.opensips.org/pipermail/users/2009-July/007210.html
> >
> > Ruud Klaver
> > AG Projects
>
> Windows Live Messenger: Happy 10-Year Anniversary—get free winks and  
> emoticons. Get Them Now_______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users


--
Dan




_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Ross Beer
Hi,
 
That has give me:
 
 <module 'gnutls' from '/var/lib/python-support/python2.6/gnutls/__init__.pyc'>
 
Which is the correct python version, however how do I get this python-gnutls to update?
 
Do I need to set a variable when installing python-gnutls from source?
 
Any advice is much appreciated.
 
Ross
 

> CC: [hidden email]; [hidden email]
> From: [hidden email]
> To: [hidden email]
> Date: Tue, 28 Jul 2009 21:51:32 +0300
> Subject: Re: [OpenSIPS-Users] Problem Running MediaProxy Build
>
> Most likely you have multiple installed versions and it picks the
> wrong one (the older). You can verify what it finds by default and
> where it is located by running this:
>
> python -c "import sys, gnutls; print gnutls.__version__; print
> sys.modules['gnutls']"
>
> On 28 Jul 2009, at 21:04, Ross Beer wrote:
>
> > Hi,
> >
> > I have compiled and installed mediaproxy sucessfuly however when
> > starting it says 'fatal error: need python-gnutls version 1.1.8 or
> > higer but only 1.1.6 is installed' however I have installed 1.1.9
> > and it still says the same.
> >
> > Is there a sys-link I need to update somewhere to point python to
> > the correct version?
> >
> > Thank you for your help,
> >
> > Ross
> >
> > > CC: [hidden email]
> > > From: [hidden email]
> > > To: [hidden email]
> > > Date: Tue, 28 Jul 2009 13:19:09 +0200
> > > Subject: Re: [OpenSIPS-Users] Problem Running MediaProxy Build
> > >
> > > Hi Ross,
> > >
> > > On 28 Jul 2009, at 12:53, Ross Beer wrote:
> > >
> > > > Hi,
> > > >
> > > > When running the MediaProxy ./setup build I get the following
> > error:
> > > >
> > > > ---------------------------------------------------
> > > > ./setup.py build
> > > > Traceback (most recent call last):
> > > > File "./setup.py", line 7, in ?
> > > > import mediaproxy
> > > > File "/home/voicehost/MediaProxy/mediaproxy-2.3.5/mediaproxy/
> > > > __init__.py", line 33, in ?
> > > > dependencies = ApplicationDependencies(**package_requirements)
> > > > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > > > line 59, in __init__
> > > > self.dependencies.extend((PackageDependency(name, version) for
> > > > name, version in sorted(kw.iteritems())))
> > > > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > > > line 59, in <generator expression>
> > > > self.dependencies.extend((PackageDependency(name, version) for
> > > > name, version in sorted(kw.iteritems())))
> > > > File "/usr/lib/python2.4/site-packages/application/dependency.py",
> > > > line 34, in __init__
> > > > module = __import__(module_name,
> > > > fromlist=module_name.rsplit('.', 1)[1:])
> > > > TypeError: __import__() takes no keyword arguments
> > > > -----------------------------------------------------
> > > >
> > > > Can anyone offer any advice, I have installed all of the
> > > > requirments. I followed instructions from http://
> > www.smartvox.co.uk
> > > >
> > > > Any help would be appreciated.
> > > >
> > > > Ross
> > >
> > > Please see this thread: http://lists.opensips.org/pipermail/users/2009-July/007210.html
> > >
> > > Ruud Klaver
> > > AG Projects
> >
> > Windows Live Messenger: Happy 10-Year Anniversary—get free winks and
> > emoticons. Get Them Now_______________________________________________
> > Users mailing list
> > [hidden email]
> > http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>
>
> --
> Dan
>
>
>


Celebrate a decade of Messenger with free winks, emoticons, display pics, and more. Get Them Now
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Dan Pascu
On Tuesday 28 July 2009, Ross Beer wrote:
> That has give me:
>
>  
>
>  <module 'gnutls' from '/var/lib/python-
support/python2.6/gnutls/__init__.pyc'>
>
>  
>
> Which is the correct python version, however how do I get this python-gnutls
> to update?

It depends how you installed it in the first place. You mentioned you
installed both 1.1.6 and 1.1.9. How did you do that?

> Do I need to set a variable when installing python-gnutls from source?

No.


--
Dan

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Ross Beer
Hi,
 
I now have the MediaProxy dispatcher running correctly, after help from Dan. Thank you!
 
However I am now having a problem with the relay part, I can see this in the log:
 
------------------------------------------------------------
ul 29 14:27:47 ubuntu media-relay[3861]: Log opened.
Jul 29 14:27:47 ubuntu media-relay[3861]: Starting MediaProxy Relay 2.3.5
Jul 29 14:27:47 ubuntu media-relay[3861]: /usr/local/lib/python2.6/dist-packages/Twisted-8.2.0-py2.6-linux-x86_64.egg/twisted/internet/_sslverify.py:5: exceptions.DeprecationWarning: the md5 module is deprecated; use hashlib instead
Jul 29 14:27:47 ubuntu media-relay[3861]: fatal error: failed to create MediaProxy Relay: Could not initialize the iptables 'nat' table. Missing kernel support or running without root priviliges.
Jul 29 14:29:07 ubuntu kernel: [ 2402.698409] ip_tables: (C) 2000-2006 Netfilter Core Team
-------------------------------------------------------------
 
Can someone provide me with where I need to go from here. I have installed libnfnetlink, libnfnetlink-devel, libnetfilter_conntrack and libnetfilter_conntrack-devel.
 
Thank you,
 
Ross

 

> From: [hidden email]
> To: [hidden email]
> Subject: Re: [OpenSIPS-Users] Problem Running MediaProxy Build
> Date: Tue, 28 Jul 2009 23:09:31 +0300
> CC: [hidden email]; [hidden email]
>
> On Tuesday 28 July 2009, Ross Beer wrote:
> > That has give me:
> >
> >
> >
> > <module 'gnutls' from '/var/lib/python-
> support/python2.6/gnutls/__init__.pyc'>
> >
> >
> >
> > Which is the correct python version, however how do I get this python-gnutls
> > to update?
>
> It depends how you installed it in the first place. You mentioned you
> installed both 1.1.6 and 1.1.9. How did you do that?
>
> > Do I need to set a variable when installing python-gnutls from source?
>
> No.
>
>
> --
> Dan


Windows Live Messenger: Happy 10-Year Anniversary—get free winks and emoticons. Get Them Now
_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Iñaki Baz Castillo
2009/7/29 Ross Beer <[hidden email]>:

> Hi,
>
> I now have the MediaProxy dispatcher running correctly, after help from Dan.
> Thank you!
>
> However I am now having a problem with the relay part, I can see this in the
> log:
>
> ------------------------------------------------------------
> ul 29 14:27:47 ubuntu media-relay[3861]: Log opened.
> Jul 29 14:27:47 ubuntu media-relay[3861]: Starting MediaProxy Relay 2.3.5
> Jul 29 14:27:47 ubuntu media-relay[3861]:
> /usr/local/lib/python2.6/dist-packages/Twisted-8.2.0-py2.6-linux-x86_64.egg/twisted/internet/_sslverify.py:5:
> exceptions.DeprecationWarning: the md5 module is deprecated; use hashlib
> instead
> Jul 29 14:27:47 ubuntu media-relay[3861]: fatal error: failed to create
> MediaProxy Relay: Could not initialize the iptables 'nat' table. Missing
> kernel support or running without root priviliges.
> Jul 29 14:29:07 ubuntu kernel: [ 2402.698409] ip_tables: (C) 2000-2006
> Netfilter Core Team
> -------------------------------------------------------------
>
> Can someone provide me with where I need to go from here. I have installed
> libnfnetlink, libnfnetlink-devel, libnetfilter_conntrack and
> libnetfilter_conntrack-devel.


Try (as root):

  modprobe iptable_nat


--
Iñaki Baz Castillo
<[hidden email]>

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: Problem Running MediaProxy Build

Dan Pascu
In reply to this post by Ross Beer
On Wednesday 29 July 2009, Ross Beer wrote:
>
> ul 29 14:27:47 ubuntu media-relay[3861]: Log opened.
> Jul 29 14:27:47 ubuntu media-relay[3861]: Starting MediaProxy Relay 2.3.5
> Jul 29 14:27:47 ubuntu media-relay[3861]: /usr/local/lib/python2.6/dist-
packages/Twisted-8.2.0-py2.6-linux-
x86_64.egg/twisted/internet/_sslverify.py:5: exceptions.DeprecationWarning:
the md5 module is deprecated; use hashlib instead
> Jul 29 14:27:47 ubuntu media-relay[3861]: fatal error: failed to create
MediaProxy Relay: Could not initialize the iptables 'nat' table. Missing
kernel support or running without root priviliges.
> Jul 29 14:29:07 ubuntu kernel: [ 2402.698409] ip_tables: (C) 2000-2006
Netfilter Core Team
>
> -------------------------------------------------------------
>
>  
>
> Can someone provide me with where I need to go from here. I have installed
libnfnetlink, libnfnetlink-devel, libnetfilter_conntrack and
libnetfilter_conntrack-devel.
>

Make sure the ip_tables module is loaded before you run the relay (and of
course that you have ip_tables support in the kernel). The debian startup
script already makes sure of this. For some reason, the ip_tables module is
not autoloaded, even though all the other nat related modules are. This is why
the startup script contains an explicit modprobe just to make sure it is
loaded. Run this before you start the relay:

sudo modprobe ip_tables

Also make sure you have iptable_nat loaded

--
Dan

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

SIP/2.0 400 Content Length is Incorrect

Julien Chavanton
Re: [OpenSIPS-Users] Problem Running MediaProxy Build

Hi, I have this curious case where when sending call from Eyebeam we receive "SIP/2.0 400 Content Length is Incorrect"

But this is only from one PC, another computer with Eyebeam does not face the same problem.

I will investigate further on my side, but maybe someone as faced this before.

 

Unfortunatly I have altered the data so it is not correct anyway :

 

#
U 1.1.1.1:40842 -> 3.3.3.3:5060
INVITE sip:[hidden email] SIP/2.0.
Via: SIP/2.0/UDP 1.1.1.1:40842;branch=z9hG4bK-d8754z-0978ed74e64c0d43-1---d8754z-;rport.
Max-Forwards: 70.
Contact: <sip:user@1.1.1.1:40842>.
To: "1002123456789"<sip:[hidden email]>.
From: "test"<sip:[hidden email]>;tag=524b8a00.
Call-ID: Yzc0MmQxMzAyMjI5MDA0OGM5Y2VhYTZjZjQ2NjY5OTM..
CSeq: 1 INVITE.
Allow: INVITE, ACK, CANCEL, OPTIONS, BYE, REFER, NOTIFY, MESSAGE, SUBSCRIBE, INFO.
Content-Type: application/sdp.
User-Agent: eyeBeam release 1101w stamp 50331.
Content-Length: 344.
.
v=0.
o=- 7 2 IN IP4 1.1.1.1.
s=CounterPath eyeBeam 1.5.
c=IN IP4 1.1.1.1.
t=0 0.
m=audio 5992 RTP/AVP 0 8 18 101.
a=alt:1 1 : 9xT8sdp8 dJNn6AL5 1.1.1.1 5992.
a=fmtp:18 annexb=yes.
a=fmtp:101 0-15.
a=rtpmap:18 G729/8000.
a=rtpmap:101 telephone-event/8000.
a=sendrecv.
a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.

#
U 2.2.2.2:5060 -> 3.3.3.3:5060
SIP/2.0 400 Content Length is Incorrect (359 vs 356).

 


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: SIP/2.0 400 Content Length is Incorrect

Julien Chavanton
Re: [OpenSIPS-Users] Problem Running MediaProxy Build
If I understand correctly Content-Length is the size of the SDP message, I have them here almost unaltered, unless the problem is with line feed/carriage return.
 
I did wc and they match, humm not sure where to look.
 
------------------------------------------------------------------------
This one return "SIP/2.0 400 Content Length is Incorrect (359 vs 356)."
------------------------------------------------------------------------
Content-Length: 360.
P-hint: Route[6]: mediaproxy .
.
v=0.
o=- 7 2 IN IP4 192.168.101.239.
s=CounterPath eyeBeam 1.5.
c=IN IP4 10.0.4.210.
t=0 0.
m=audio 51090 RTP/AVP 0 8 18 101.
a=alt:1 1 : 9xT8sdp8 dJNn6AL5 192.168.101.239 5992.
a=fmtp:18 annexb=yes.
a=fmtp:101 0-15.
a=rtpmap:18 G729/8000.
a=rtpmap:101 telephone-event/8000.
a=sendrecv.
a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.
a=direction:active.
------------------------------------------------------------------------
 
------------------------------------------------------------------------
This one return "200 OK"
------------------------------------------------------------------------
Content-Length: 429.
P-hint: Route[6]: mediaproxy .
.
v=0.
o=- 6 2 IN IP4 10.0.1.71.
s=CounterPath X-Lite 3.0.
c=IN IP4 10.0.4.210.
t=0 0.
m=audio 51098 RTP/AVP 107 0 8 101.
a=alt:1 4 : P2r8H0s1 PjFnvrZF 192.168.1.102 50514.
a=alt:2 3 : Zg++GVqM zvF8qNdi 192.168.114.1 50514.
a=alt:3 2 : aDT0P1g7 P6eCvs8N 192.168.146.1 50514.
a=alt:4 1 : E0q9LRE/ m4a2BEWO 10.0.1.71 50514.
a=fmtp:101 0-15.
a=rtpmap:107 BV32/16000.
a=rtpmap:101 telephone-event/8000.
a=sendrecv.
a=direction:active.
------------------------------------------------------------------------

 

From: [hidden email] on behalf of Julien Chavanton
Sent: Wed 29/07/2009 10:40 PM
To: [hidden email]
Subject: [OpenSIPS-Users] SIP/2.0 400 Content Length is Incorrect

Hi, I have this curious case where when sending call from Eyebeam we receive "SIP/2.0 400 Content Length is Incorrect"

But this is only from one PC, another computer with Eyebeam does not face the same problem.

I will investigate further on my side, but maybe someone as faced this before.

 

Unfortunatly I have altered the data so it is not correct anyway :

 

#
U 1.1.1.1:40842 -> 3.3.3.3:5060
INVITE sip:[hidden email] SIP/2.0.
Via: SIP/2.0/UDP 1.1.1.1:40842;branch=z9hG4bK-d8754z-0978ed74e64c0d43-1---d8754z-;rport.
Max-Forwards: 70.
Contact: <sip:user@1.1.1.1:40842>.
To: "1002123456789"<sip:[hidden email]>.
From: "test"<sip:[hidden email]>;tag=524b8a00.
Call-ID: Yzc0MmQxMzAyMjI5MDA0OGM5Y2VhYTZjZjQ2NjY5OTM..
CSeq: 1 INVITE.
Allow: INVITE, ACK, CANCEL, OPTIONS, BYE, REFER, NOTIFY, MESSAGE, SUBSCRIBE, INFO.
Content-Type: application/sdp.
User-Agent: eyeBeam release 1101w stamp 50331.
Content-Length: 344.
.
v=0.
o=- 7 2 IN IP4 1.1.1.1.
s=CounterPath eyeBeam 1.5.
c=IN IP4 1.1.1.1.
t=0 0.
m=audio 5992 RTP/AVP 0 8 18 101.
a=alt:1 1 : 9xT8sdp8 dJNn6AL5 1.1.1.1 5992.
a=fmtp:18 annexb=yes.
a=fmtp:101 0-15.
a=rtpmap:18 G729/8000.
a=rtpmap:101 telephone-event/8000.
a=sendrecv.
a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.

#
U 2.2.2.2:5060 -> 3.3.3.3:5060
SIP/2.0 400 Content Length is Incorrect (359 vs 356).

 


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: SIP/2.0 400 Content Length is Incorrect

Bogdan-Andrei Iancu
Hi Julien,

yes, the Content len hdt contains the len of the body in chars (what the
body is, including all the chars in there).

In your case, you send a call from Eyebeam to OpenSIPS and you relay it
further to another client which replies with the error?

Regards,
Bogdan



Julien Chavanton wrote:

> If I understand correctly Content-Length is the size of the SDP
> message, I have them here almost unaltered, unless the problem is with
> line feed/carriage return.
>  
> I did wc and they match, humm not sure where to look.
>  
> ------------------------------------------------------------------------
> This one return "SIP/2.0 400 Content Length is Incorrect (359 vs 356)."
> ------------------------------------------------------------------------
> Content-Length: 360.
> P-hint: Route[6]: mediaproxy .
> .
> v=0.
> o=- 7 2 IN IP4 192.168.101.239.
> s=CounterPath eyeBeam 1.5.
> c=IN IP4 10.0.4.210.
> t=0 0.
> m=audio 51090 RTP/AVP 0 8 18 101.
> a=alt:1 1 : 9xT8sdp8 dJNn6AL5 192.168.101.239 5992.
> a=fmtp:18 annexb=yes.
> a=fmtp:101 0-15.
> a=rtpmap:18 G729/8000.
> a=rtpmap:101 telephone-event/8000.
> a=sendrecv.
> a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.
> a=direction:active.
> ------------------------------------------------------------------------
>  
> ------------------------------------------------------------------------
> This one return "200 OK"
> ------------------------------------------------------------------------
> Content-Length: 429.
> P-hint: Route[6]: mediaproxy .
> .
> v=0.
> o=- 6 2 IN IP4 10.0.1.71.
> s=CounterPath X-Lite 3.0.
> c=IN IP4 10.0.4.210.
> t=0 0.
> m=audio 51098 RTP/AVP 107 0 8 101.
> a=alt:1 4 : P2r8H0s1 PjFnvrZF 192.168.1.102 50514.
> a=alt:2 3 : Zg++GVqM zvF8qNdi 192.168.114.1 50514.
> a=alt:3 2 : aDT0P1g7 P6eCvs8N 192.168.146.1 50514.
> a=alt:4 1 : E0q9LRE/ m4a2BEWO 10.0.1.71 50514.
> a=fmtp:101 0-15.
> a=rtpmap:107 BV32/16000.
> a=rtpmap:101 telephone-event/8000.
> a=sendrecv.
> a=direction:active.
> ------------------------------------------------------------------------
>
>  
> ------------------------------------------------------------------------
> *From:* [hidden email] on behalf of Julien Chavanton
> *Sent:* Wed 29/07/2009 10:40 PM
> *To:* [hidden email]
> *Subject:* [OpenSIPS-Users] SIP/2.0 400 Content Length is Incorrect
>
> Hi, I have this curious case where when sending call from Eyebeam we
> receive "SIP/2.0 400 Content Length is Incorrect"
>
> But this is only from one PC, another computer with Eyebeam does not
> face the same problem.
>
> I will investigate further on my side, but maybe someone as faced this
> before.
>
>  
>
> Unfortunatly I have altered the data so it is not correct anyway :
>
>  
>
> #
> U 1.1.1.1:40842 -> 3.3.3.3:5060
> INVITE sip:[hidden email] SIP/2.0.
> Via: SIP/2.0/UDP
> 1.1.1.1:40842;branch=z9hG4bK-d8754z-0978ed74e64c0d43-1---d8754z-;rport.
> Max-Forwards: 70.
> Contact: <sip:user@1.1.1.1:40842>.
> To: "1002123456789"<sip:[hidden email]>.
> From: "test"<sip:[hidden email]>;tag=524b8a00.
> Call-ID: Yzc0MmQxMzAyMjI5MDA0OGM5Y2VhYTZjZjQ2NjY5OTM..
> CSeq: 1 INVITE.
> Allow: INVITE, ACK, CANCEL, OPTIONS, BYE, REFER, NOTIFY, MESSAGE,
> SUBSCRIBE, INFO.
> Content-Type: application/sdp.
> User-Agent: eyeBeam release 1101w stamp 50331.
> Content-Length: 344.
> .
> v=0.
> o=- 7 2 IN IP4 1.1.1.1.
> s=CounterPath eyeBeam 1.5.
> c=IN IP4 1.1.1.1.
> t=0 0.
> m=audio 5992 RTP/AVP 0 8 18 101.
> a=alt:1 1 : 9xT8sdp8 dJNn6AL5 1.1.1.1 5992.
> a=fmtp:18 annexb=yes.
> a=fmtp:101 0-15.
> a=rtpmap:18 G729/8000.
> a=rtpmap:101 telephone-event/8000.
> a=sendrecv.
> a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.
>
> #
> U 2.2.2.2:5060 -> 3.3.3.3:5060
> SIP/2.0 400 Content Length is Incorrect (359 vs 356).
>
>  
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>  


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: SIP/2.0 400 Content Length is Incorrect

Iñaki Baz Castillo
In reply to this post by Julien Chavanton
2009/7/30 Julien Chavanton <[hidden email]>:

> ------------------------------------------------------------------------
> This one return "SIP/2.0 400 Content Length is Incorrect (359 vs 356)."
> ------------------------------------------------------------------------
> Content-Length: 360.
> P-hint: Route[6]: mediaproxy .
> .
> v=0.
> o=- 7 2 IN IP4 192.168.101.239.
> s=CounterPath eyeBeam 1.5.
> c=IN IP4 10.0.4.210.
> t=0 0.
> m=audio 51090 RTP/AVP 0 8 18 101.
> a=alt:1 1 : 9xT8sdp8 dJNn6AL5 192.168.101.239 5992.
> a=fmtp:18 annexb=yes.
> a=fmtp:101 0-15.
> a=rtpmap:18 G729/8000.
> a=rtpmap:101 telephone-event/8000.
> a=sendrecv.
> a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.
> a=direction:active.
> ------------------------------------------------------------------------


This SDP has been modified my MediaProxy, right?



--
Iñaki Baz Castillo
<[hidden email]>

_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: SIP/2.0 400 Content Length is Incorrect

Julien Chavanton
In reply to this post by Bogdan-Andrei Iancu
Re: [OpenSIPS-Users] SIP/2.0 400 Content Length is Incorrect
Yes, signaling path is :
 
[Eyebeam] ----> [Opensips] ---pix with(fixup protocol sip)--> [Partner]
 
Right now, I beleive this is only taking place when the call come in from a certain subnet inside a the PIX firewall, so it may be a miss config on the firewall.
 
I need to investigate further.
 
Any other suggestions ?
 
Thanks, I will let you kwnow
 
 
 


From: Bogdan-Andrei Iancu [mailto:[hidden email]]
Sent: Tue 04/08/2009 4:26 PM
To: Julien Chavanton
Cc: [hidden email]
Subject: Re: [OpenSIPS-Users] SIP/2.0 400 Content Length is Incorrect

Hi Julien,

yes, the Content len hdt contains the len of the body in chars (what the
body is, including all the chars in there).

In your case, you send a call from Eyebeam to OpenSIPS and you relay it
further to another client which replies with the error?

Regards,
Bogdan



Julien Chavanton wrote:


> If I understand correctly Content-Length is the size of the SDP
> message, I have them here almost unaltered, unless the problem is with
> line feed/carriage return.

> I did wc and they match, humm not sure where to look.

> ------------------------------------------------------------------------
> This one return "SIP/2.0 400 Content Length is Incorrect (359 vs 356)."
> ------------------------------------------------------------------------
> Content-Length: 360.
> P-hint: Route[6]: mediaproxy .
> .
> v=0.
> o=- 7 2 IN IP4 192.168.101.239.
> s=CounterPath eyeBeam 1.5.
> c=IN IP4 10.0.4.210.
> t=0 0.
> m=audio 51090 RTP/AVP 0 8 18 101.
> a=alt:1 1 : 9xT8sdp8 dJNn6AL5 192.168.101.239 5992.
> a=fmtp:18 annexb=yes.
> a=fmtp:101 0-15.
> a=rtpmap:18 G729/8000.
> a=rtpmap:101 telephone-event/8000.
> a=sendrecv.
> a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.
> a=direction:active.
> ------------------------------------------------------------------------

> ------------------------------------------------------------------------
> This one return "200 OK"
> ------------------------------------------------------------------------
> Content-Length: 429.
> P-hint: Route[6]: mediaproxy .
> .
> v=0.
> o=- 6 2 IN IP4 10.0.1.71.
> s=CounterPath X-Lite 3.0.
> c=IN IP4 10.0.4.210.
> t=0 0.
> m=audio 51098 RTP/AVP 107 0 8 101.
> a=alt:1 4 : P2r8H0s1 PjFnvrZF 192.168.1.102 50514.
> a=alt:2 3 : Zg++GVqM zvF8qNdi 192.168.114.1 50514.
> a=alt:3 2 : aDT0P1g7 P6eCvs8N 192.168.146.1 50514.
> a=alt:4 1 : E0q9LRE/ m4a2BEWO 10.0.1.71 50514.
> a=fmtp:101 0-15.
> a=rtpmap:107 BV32/16000.
> a=rtpmap:101 telephone-event/8000.
> a=sendrecv.
> a=direction:active.
> ------------------------------------------------------------------------
>

> ------------------------------------------------------------------------
> *From:* [hidden email] on behalf of Julien Chavanton
> *Sent:* Wed 29/07/2009 10:40 PM
> *To:* [hidden email]
> *Subject:* [OpenSIPS-Users] SIP/2.0 400 Content Length is Incorrect
>
> Hi, I have this curious case where when sending call from Eyebeam we
> receive "SIP/2.0 400 Content Length is Incorrect"
>
> But this is only from one PC, another computer with Eyebeam does not
> face the same problem.
>
> I will investigate further on my side, but maybe someone as faced this
> before.
>

>
> Unfortunatly I have altered the data so it is not correct anyway :
>

>
> #
> U 1.1.1.1:40842 -> 3.3.3.3:5060
> INVITE sip:[hidden email] SIP/2.0.
> Via: SIP/2.0/UDP
> 1.1.1.1:40842;branch=z9hG4bK-d8754z-0978ed74e64c0d43-1---d8754z-;rport.
> Max-Forwards: 70.
> Contact: <sip:user@1.1.1.1:40842>.
> To: "1002123456789"<sip:[hidden email]>.
> From: "test"<sip:[hidden email]>;tag=524b8a00.
> Call-ID: Yzc0MmQxMzAyMjI5MDA0OGM5Y2VhYTZjZjQ2NjY5OTM..
> CSeq: 1 INVITE.
> Allow: INVITE, ACK, CANCEL, OPTIONS, BYE, REFER, NOTIFY, MESSAGE,
> SUBSCRIBE, INFO.
> Content-Type: application/sdp.
> User-Agent: eyeBeam release 1101w stamp 50331.
> Content-Length: 344.
> .
> v=0.
> o=- 7 2 IN IP4 1.1.1.1.
> s=CounterPath eyeBeam 1.5.
> c=IN IP4 1.1.1.1.
> t=0 0.
> m=audio 5992 RTP/AVP 0 8 18 101.
> a=alt:1 1 : 9xT8sdp8 dJNn6AL5 1.1.1.1 5992.
> a=fmtp:18 annexb=yes.
> a=fmtp:101 0-15.
> a=rtpmap:18 G729/8000.
> a=rtpmap:101 telephone-event/8000.
> a=sendrecv.
> a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.
>
> #
> U 2.2.2.2:5060 -> 3.3.3.3:5060
> SIP/2.0 400 Content Length is Incorrect (359 vs 356).
>

>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Users mailing list
> [hidden email]
> http://lists.opensips.org/cgi-bin/mailman/listinfo/users
>  


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: SIP/2.0 400 Content Length is Incorrect

Bogdan-Andrei Iancu
Hi Julien,

To be honest, in 90% of the case, a "smart" ALG is guilty for messing
around with the SIP messages. Try ngrepping the request when going out
from OpenSIPS and when being received by "PArtner" and see if "pix"
screwed it up .

Regards,
Bogdan

Julien Chavanton wrote:

> Yes, signaling path is :
>  
> [Eyebeam] ----> [Opensips] ---pix with(fixup protocol sip)--> [Partner]
>  
> Right now, I beleive this is only taking place when the call come in
> from a certain subnet inside a the PIX firewall, so it may be a miss
> config on the firewall.
>  
> I need to investigate further.
>  
> Any other suggestions ?
>  
> Thanks, I will let you kwnow
>  
>  
>  
>
> ------------------------------------------------------------------------
> *From:* Bogdan-Andrei Iancu [mailto:[hidden email]]
> *Sent:* Tue 04/08/2009 4:26 PM
> *To:* Julien Chavanton
> *Cc:* [hidden email]
> *Subject:* Re: [OpenSIPS-Users] SIP/2.0 400 Content Length is Incorrect
>
> Hi Julien,
>
> yes, the Content len hdt contains the len of the body in chars (what the
> body is, including all the chars in there).
>
> In your case, you send a call from Eyebeam to OpenSIPS and you relay it
> further to another client which replies with the error?
>
> Regards,
> Bogdan
>
>
>
> Julien Chavanton wrote:
> > If I understand correctly Content-Length is the size of the SDP
> > message, I have them here almost unaltered, unless the problem is with
> > line feed/carriage return.
> >
> > I did wc and they match, humm not sure where to look.
> >
> > ------------------------------------------------------------------------
> > This one return "SIP/2.0 400 Content Length is Incorrect (359 vs 356)."
> > ------------------------------------------------------------------------
> > Content-Length: 360.
> > P-hint: Route[6]: mediaproxy .
> > .
> > v=0.
> > o=- 7 2 IN IP4 192.168.101.239.
> > s=CounterPath eyeBeam 1.5.
> > c=IN IP4 10.0.4.210.
> > t=0 0.
> > m=audio 51090 RTP/AVP 0 8 18 101.
> > a=alt:1 1 : 9xT8sdp8 dJNn6AL5 192.168.101.239 5992.
> > a=fmtp:18 annexb=yes.
> > a=fmtp:101 0-15.
> > a=rtpmap:18 G729/8000.
> > a=rtpmap:101 telephone-event/8000.
> > a=sendrecv.
> > a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.
> > a=direction:active.
> > ------------------------------------------------------------------------
> >
> > ------------------------------------------------------------------------
> > This one return "200 OK"
> > ------------------------------------------------------------------------
> > Content-Length: 429.
> > P-hint: Route[6]: mediaproxy .
> > .
> > v=0.
> > o=- 6 2 IN IP4 10.0.1.71.
> > s=CounterPath X-Lite 3.0.
> > c=IN IP4 10.0.4.210.
> > t=0 0.
> > m=audio 51098 RTP/AVP 107 0 8 101.
> > a=alt:1 4 : P2r8H0s1 PjFnvrZF 192.168.1.102 50514.
> > a=alt:2 3 : Zg++GVqM zvF8qNdi 192.168.114.1 50514.
> > a=alt:3 2 : aDT0P1g7 P6eCvs8N 192.168.146.1 50514.
> > a=alt:4 1 : E0q9LRE/ m4a2BEWO 10.0.1.71 50514.
> > a=fmtp:101 0-15.
> > a=rtpmap:107 BV32/16000.
> > a=rtpmap:101 telephone-event/8000.
> > a=sendrecv.
> > a=direction:active.
> > ------------------------------------------------------------------------
> >
> >
> > ------------------------------------------------------------------------
> > *From:* [hidden email] on behalf of Julien Chavanton
> > *Sent:* Wed 29/07/2009 10:40 PM
> > *To:* [hidden email]
> > *Subject:* [OpenSIPS-Users] SIP/2.0 400 Content Length is Incorrect
> >
> > Hi, I have this curious case where when sending call from Eyebeam we
> > receive "SIP/2.0 400 Content Length is Incorrect"
> >
> > But this is only from one PC, another computer with Eyebeam does not
> > face the same problem.
> >
> > I will investigate further on my side, but maybe someone as faced this
> > before.
> >
> >
> >
> > Unfortunatly I have altered the data so it is not correct anyway :
> >
> >
> >
> > #
> > U 1.1.1.1:40842 -> 3.3.3.3:5060
> > INVITE sip:[hidden email] SIP/2.0.
> > Via: SIP/2.0/UDP
> > 1.1.1.1:40842;branch=z9hG4bK-d8754z-0978ed74e64c0d43-1---d8754z-;rport.
> > Max-Forwards: 70.
> > Contact: <sip:user@1.1.1.1:40842>.
> > To: "1002123456789"<sip:[hidden email]>.
> > From: "test"<sip:[hidden email]>;tag=524b8a00.
> > Call-ID: Yzc0MmQxMzAyMjI5MDA0OGM5Y2VhYTZjZjQ2NjY5OTM..
> > CSeq: 1 INVITE.
> > Allow: INVITE, ACK, CANCEL, OPTIONS, BYE, REFER, NOTIFY, MESSAGE,
> > SUBSCRIBE, INFO.
> > Content-Type: application/sdp.
> > User-Agent: eyeBeam release 1101w stamp 50331.
> > Content-Length: 344.
> > .
> > v=0.
> > o=- 7 2 IN IP4 1.1.1.1.
> > s=CounterPath eyeBeam 1.5.
> > c=IN IP4 1.1.1.1.
> > t=0 0.
> > m=audio 5992 RTP/AVP 0 8 18 101.
> > a=alt:1 1 : 9xT8sdp8 dJNn6AL5 1.1.1.1 5992.
> > a=fmtp:18 annexb=yes.
> > a=fmtp:101 0-15.
> > a=rtpmap:18 G729/8000.
> > a=rtpmap:101 telephone-event/8000.
> > a=sendrecv.
> > a=x-rtp-session-id:6746FE4B967845A3BC3CE0528E9F9A0D.
> >
> > #
> > U 2.2.2.2:5060 -> 3.3.3.3:5060
> > SIP/2.0 400 Content Length is Incorrect (359 vs 356).
> >
> >
> >
> > ------------------------------------------------------------------------
> >
> > _______________________________________________
> > Users mailing list
> > [hidden email]
> > http://lists.opensips.org/cgi-bin/mailman/listinfo/users
> >  
>


_______________________________________________
Users mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/users